this.name        = "missile_analyser"; 
this.author      = "eric walch"; 
this.copyright   = "� 2008 the Oolite team."; 
this.description = "This script analyses the missile type."; 
this.version     = "1.2";

this.shipAttackedWithMissile = function(missile, whom)
{
    if (player.ship.equipmentStatus("EQ_MISSILE_ANALYSER") === "EQUIPMENT_OK")
    {
        // log(this.name, "Detected launch of a "+missile.displayName+" fired by " + whom.displayName);
        
        // only warn for the special missiles.
        if (missile.name !== "Missile")
        {
            player.consoleMessage("Detected launch of a " + missile.displayName, 8);
            if (player.ship.equipmentStatus("EQ_TARGET_MEMORY") === "EQUIPMENT_OK") player.ship.target = missile;
        }
    }
}

this.playerBoughtEquipment = function(equipment)
{
    if (equipment === "EQ_MISSILE_ANALYSER_REMOVER")
    {
        var refund = EquipmentInfo.infoForKey("EQ_MISSILE_ANALYSER").price/10 * 0.75;
        if (player.ship.equipmentStatus("EQ_MISSILE_ANALYSER") === "EQUIPMENT_DAMAGED") refund /= 10;
        player.ship.removeEquipment("EQ_MISSILE_ANALYSER");
        player.ship.removeEquipment("EQ_MISSILE_ANALYSER_REMOVER");
        player.credits += refund;
    }
}